### Home Classes Methods

### In Files

- kyotocabinet.rb

### Parent

RuntimeError

### Methods

- ::new
- #!=
- #==
- #code
- #inspect
- #message
- #name
- #set
- #to_s

### Class/Module Index

Quicksearch

- KyotoCabinet
- KyotoCabinet::Cursor
- KyotoCabinet::DB
- KyotoCabinet::Error
- KyotoCabinet::FileProcessor
- KyotoCabinet::Visitor

No matching classes.

# KyotoCabinet::Error

Error data.

### Constants

BROKEN

  error code: broken file

DUPREC

  error code: record duplication

INVALID

  error code: invalid operation

LOGIC

  error code: logical inconsistency

MISC

  error code: miscellaneous error

NOIMPL

  error code: not implemented

NOPERM

  error code: no permission

NOREC

  error code: no record

NOREPOS

  error code: no repository

SUCCESS

  error code: success

SYSTEM

  error code: system error

### Public Class Methods

new(code, message) click to toggle source

Create an error object.

- @param code the error code.

- @param message the supplement message.

- @return the error object.

    # File kyotocabinet.rb, line 95
    def initialize(code, message)
      # (native code)
    end

### Public Instance Methods

!=(right) click to toggle source

Negation equality operator.

- @param right an error object or an error code.

- @return false for the both operands are equal, or true if not.

    # File kyotocabinet.rb, line 139
    def !=(right)
      # (native code)
    end

==(right) click to toggle source

Equality operator.

- @param right an error object or an error code.

- @return true for the both operands are equal, or false if not.

    # File kyotocabinet.rb, line 133
    def ==(right)
      # (native code)
    end

code() click to toggle source

Get the error code.

- @return the error code.

    # File kyotocabinet.rb, line 107
    def code()
      # (native code)
    end

inspect() click to toggle source

Get the inspection string.

- @return the inspection string.

    # File kyotocabinet.rb, line 127
    def inspect()
      # (native code)
    end

message() click to toggle source

Get the supplement message.

- @return the supplement message.

    # File kyotocabinet.rb, line 117
    def message()
      # (native code)
    end

name() click to toggle source

Get the readable string of the code.

- @return the readable string of the code.

    # File kyotocabinet.rb, line 112
    def name()
      # (native code)
    end

set(code, message) click to toggle source

Set the error information.

- @param code the error code.

- @param message the supplement message.

- @return always nil.

    # File kyotocabinet.rb, line 102
    def set(code, message)
      # (native code)
    end

to_s() click to toggle source

Get the string expression.

- @return the string expression.

    # File kyotocabinet.rb, line 122
    def to_s()
      # (native code)
    end

Generated with the Darkfish Rdoc Generator 2.